// defocusthread.h: Schnittstelle für die Klasse DefocusThread.
//
//////////////////////////////////////////////////////////////////////

#ifndef DEFOCUSTHREAD_H
#define DEFOCUSTHREAD_H


#include <qthread.h>

class AMCMirrorPanel;

class DefocusThread : public QThread
{

public:
	void setPanel( AMCMirrorPanel* p_pPanel );
	AMCMirrorPanel* getPanel() { return m_pPanel; };
	DefocusThread( QObject* p_pReceiver );
	virtual ~DefocusThread();

protected:
	virtual void run();
private:
	AMCMirrorPanel* m_pPanel;
	QObject*				m_pReceiver;
};

#endif
